commit 436a694ee2f94a26572f7e128735fc69afb492e3
Author: Francois-Rene Rideau <fare@tunes.org>
Date:   Thu Sep 23 19:12:09 2010 -0400

    Don't try to funcall keywords.

diff --git a/request.lisp b/request.lisp
index f70c1c5..79a7e5a 100644
--- a/request.lisp
+++ b/request.lisp
@@ -572,9 +572,11 @@ only available on CCL 1.2 and later."
                 (write-header "Connection" "close"))
               (loop for (name . value) in additional-headers
                     do (write-header name "~A"
-                                     (cond ((or (functionp value) (symbolp value))
-                                            (funcall value))
-                                           (t value))))
+                                     (cond
+                                       ((or (functionp value)
+                                            (and (symbolp value) (fboundp value)))
+                                        (funcall value))
+                                       (t value))))
               (when content
                 (when content-type
                   (write-header "Content-Type" "~A" content-type))
